Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.transform
Interface TransformFaultCodes

public interface TransformFaultCodes

Field Summary
`static int` | `INCORRECT_TRANSFORM_CONFIG` Load time errors for dev mode
`static int` | `INTERNAL_ERROR`
`static int` | `INVALID_XML`
`static int` | `NO_CODE_MSG` generic exceptions
`static int` | `RT_BEV_FAILED`
`static int` | `RT_CANNOT_COMPARE`
`static int` | `RT_CLOSED_MAT_QUERY`
`static int` | `RT_DIV_ZERO`
`static int` | `RT_DOUBLE_CLOSE`
`static int` | `RT_DOUBLE_OPEN`
`static int` | `RT_DUP_ATTR_DEF`
`static int` | `RT_EMPTY_ATTR`
`static int` | `RT_EXPECTED_TOKEN`
`static int` | `RT_EXT_METHOD`
`static int` | `RT_GETTYPE_ON_OPEN`
`static int` | `RT_ILLEGAL_CAST`
`static int` | `RT_ILLEGAL_DATA_ARG`
`static int` | `RT_ILLEGAL_INDEX`
`static int` | `RT_ILLEGAL_PATH`
`static int` | `RT_ILLEGAL_SEQ`
`static int` | `RT_ILLEGAL_URI`
`static int` | `RT_INVALID_ARGUMENT`
`static int` | `RT_INVALID_DOC_URI`
`static int` | `RT_JAVA_CONVERSION`
`static int` | `RT_LOC_ITERATOR`
`static int` | `RT_MAX_REC_DEPTH`
`static int` | `RT_MIXED_SEQ`
`static int` | `RT_NO_ARITH`
`static int` | `RT_NO_OPEN`
`static int` | `RT_NORMAL_FORM`
`static int` | `RT_NOT_SUBTYPE`
`static int` | `RT_NULL_CONVERSION`
`static int` | `RT_PARENT_ROOT`
`static int` | `RT_QUANT_MISMATCH`
`static int` | `RT_REGEXP`
`static int` | `RT_REGEXP_FLAGS`
`static int` | `RT_TYPED_VALUE`
`static int` | `RT_UNEXPECTED_END`
`static int` | `RT_UNKNOWN_TYPE`
`static int` | `RT_VALUE_INSTEAD_NODE`
`static int` | `RT_XQUERY_ERROR`
`static int` | `SYS_ASSERT`
`static int` | `SYS_BAD_QNAME_INITIALIZER`
`static int` | `SYS_BAD_USAGE`
`static int` | `SYS_CAUGHT_EX`
`static int` | `SYS_CLONE_ERROR`
`static int` | `SYS_CLOSE_NOOPEN`
`static int` | `SYS_DOCUMENT_URI`
`static int` | `SYS_DOUBLE_OPEN`
`static int` | `SYS_EXPECTED_ELEMENT`
`static int` | `SYS_EXPECTED_ITEM`
`static int` | `SYS_EXPECTED_QNAME`
`static int` | `SYS_EXPECTED_STRING`
`static int` | `SYS_EXPECTED_TYPE`
`static int` | `SYS_EXPECTED_VALUE`
`static int` | `SYS_FETCH_AFTEREND`
`static int` | `SYS_FETCH_AFTERERROR`
`static int` | `SYS_FETCH_NOOPEN`
`static int` | `SYS_ID_EXPECTED`
`static int` | `SYS_ILLEGAL_COMPARISON`
`static int` | `SYS_ILLEGAL_CONTENT`
`static int` | `SYS_ILLEGAL_EMPTY_SEQ`
`static int` | `SYS_ILLEGAL_INDEX_USE`
`static int` | `SYS_ILLEGAL_NESTING`
`static int` | `SYS_ILLEGAL_SEQ`
`static int` | `SYS_ILLEGAL_STATE`
`static int` | `SYS_ILLEGAL_TEXT_NESTING`
`static int` | `SYS_ILLEGAL_TEXT_SEQ`
`static int` | `SYS_ILLEGAL_USE_ID`
`static int` | `SYS_INTERNAL`
`static int` | `SYS_ITEM_NOT_FOUND`
`static int` | `SYS_LONG_OVERFLOW`
`static int` | `SYS_MISSING_END`
`static int` | `SYS_MISSING_FCT`
`static int` | `SYS_MISSING_INDEX`
`static int` | `SYS_MISSING_TYPE`
`static int` | `SYS_NO_ARGS`
`static int` | `SYS_NO_NODE_TOKEN`
`static int` | `SYS_NONBEGIN_HAS_ID`
`static int` | `SYS_NOT_SERIALIZED`
`static int` | `SYS_NOTIMPLEMENTED`
`static int` | `SYS_OP_REDEFINED`
`static int` | `SYS_OPR_CREATE_FAILED`
`static int` | `SYS_REGISTER_MISMATCH`
`static int` | `SYS_RESET_CONTEXT`
`static int` | `SYS_SKIP_EMPTY`
`static int` | `SYS_TOKEN_STREAM`
`static int` | `SYS_TYPE_CAST_BOOLEAN`
`static int` | `SYS_TYPE_GENERAL`
`static int` | `SYS_UNEXPECTED_END`
`static int` | `SYS_UNEXPECTED_QNAME`
`static int` | `SYS_UNEXPECTED_TOKEN`
`static int` | `SYS_UNEXPECTED_TYPE`
`static int` | `SYS_VALUE_INSTEAD_NODE`
`static int` | `SYS_WRONG_ARITY`
`static int` | `TOPLEVELQNAME_MISMATCH`
`static int` | `UNEXPECTED_ERROR`
`static int` | `XJM_CAST_EX`
`static int` | `XJM_COLLECTION_ERROR`
`static int` | `XJM_DUPLICATE_FIELD`
`static int` | `XJM_FIELD_ACCESS`
`static int` | `XJM_OBJECT_CREATION` XML <-> Java mapping exceptions
`static int` | `XJM_UNKNOWN_FIELD`
`static int` | `XJM_UNSUPORTED_NODE`
`static int` | `XQRL_UNEXPECTED_ERROR` XQRL exceptions
`static int` | `XQUERY_EXTERNAL_FUNCTION_EXCEPTION`
`static int` | `XQUERY_EXTERNAL_FUNCTION_NOT_FOUND` XQuery external function error
`static int` | `XQUERY_EXTERNAL_FUNCTION_PARAM_MISMATCH`
`static int` | `XQUERY_EXTERNAL_FUNCTION_PARAM_UNMARSHAL`
`static int` | `XQUERY_EXTERNAL_FUNCTION_RESULT_MARSHAL`
`static int` | `XSLT_RUNTIME_EX` XSLT exceptions
`static int` | `XT_RUNTIME_EX` XT exceptions

Field Detail

### NO_CODE_MSG

    public static final int NO_CODE_MSG

  generic exceptions

  See Also:
    Constant Field Values

### INTERNAL_ERROR

    public static final int INTERNAL_ERROR

See Also:
  Constant Field Values

### UNEXPECTED_ERROR

    public static final int UNEXPECTED_ERROR

See Also:
  Constant Field Values

### INVALID_XML

    public static final int INVALID_XML

See Also:
  Constant Field Values

### TOPLEVELQNAME_MISMATCH

    public static final int TOPLEVELQNAME_MISMATCH

See Also:
  Constant Field Values

### INCORRECT_TRANSFORM_CONFIG

    public static final int INCORRECT_TRANSFORM_CONFIG

  Load time errors for dev mode

  See Also:
    Constant Field Values

### XT_RUNTIME_EX

    public static final int XT_RUNTIME_EX

  XT exceptions

  See Also:
    Constant Field Values

### XSLT_RUNTIME_EX

    public static final int XSLT_RUNTIME_EX

  XSLT exceptions

  See Also:
    Constant Field Values

### XJM_OBJECT_CREATION

    public static final int XJM_OBJECT_CREATION

  XML <-> Java mapping exceptions

  See Also:
    Constant Field Values

### XJM_FIELD_ACCESS

    public static final int XJM_FIELD_ACCESS

See Also:
  Constant Field Values

### XJM_DUPLICATE_FIELD

    public static final int XJM_DUPLICATE_FIELD

See Also:
  Constant Field Values

### XJM_UNKNOWN_FIELD

    public static final int XJM_UNKNOWN_FIELD

See Also:
  Constant Field Values

### XJM_CAST_EX

    public static final int XJM_CAST_EX

See Also:
  Constant Field Values

### XJM_COLLECTION_ERROR

    public static final int XJM_COLLECTION_ERROR

See Also:
  Constant Field Values

### XJM_UNSUPORTED_NODE

    public static final int XJM_UNSUPORTED_NODE

See Also:
  Constant Field Values

### XQUERY_EXTERNAL_FUNCTION_NOT_FOUND

    public static final int XQUERY_EXTERNAL_FUNCTION_NOT_FOUND

  XQuery external function error

  See Also:
    Constant Field Values

### XQUERY_EXTERNAL_FUNCTION_PARAM_MISMATCH

    public static final int XQUERY_EXTERNAL_FUNCTION_PARAM_MISMATCH

See Also:
  Constant Field Values

### XQUERY_EXTERNAL_FUNCTION_EXCEPTION

    public static final int XQUERY_EXTERNAL_FUNCTION_EXCEPTION

See Also:
  Constant Field Values

### XQUERY_EXTERNAL_FUNCTION_PARAM_UNMARSHAL

    public static final int XQUERY_EXTERNAL_FUNCTION_PARAM_UNMARSHAL

See Also:
  Constant Field Values

### XQUERY_EXTERNAL_FUNCTION_RESULT_MARSHAL

    public static final int XQUERY_EXTERNAL_FUNCTION_RESULT_MARSHAL

See Also:
  Constant Field Values

### XQRL_UNEXPECTED_ERROR

    public static final int XQRL_UNEXPECTED_ERROR

  XQRL exceptions

  See Also:
    Constant Field Values

### SYS_INTERNAL

    public static final int SYS_INTERNAL

See Also:
  Constant Field Values

### SYS_NOTIMPLEMENTED

    public static final int SYS_NOTIMPLEMENTED

See Also:
  Constant Field Values

### SYS_WRONG_ARITY

    public static final int SYS_WRONG_ARITY

See Also:
  Constant Field Values

### SYS_TYPE_GENERAL

    public static final int SYS_TYPE_GENERAL

See Also:
  Constant Field Values

### SYS_ILLEGAL_NESTING

    public static final int SYS_ILLEGAL_NESTING

See Also:
  Constant Field Values

### SYS_ILLEGAL_TEXT_NESTING

    public static final int SYS_ILLEGAL_TEXT_NESTING

See Also:
  Constant Field Values

### SYS_ILLEGAL_TEXT_SEQ

    public static final int SYS_ILLEGAL_TEXT_SEQ

See Also:
  Constant Field Values

### SYS_ILLEGAL_CONTENT

    public static final int SYS_ILLEGAL_CONTENT

See Also:
  Constant Field Values

### SYS_ILLEGAL_SEQ

    public static final int SYS_ILLEGAL_SEQ

See Also:
  Constant Field Values

### SYS_UNEXPECTED_END

    public static final int SYS_UNEXPECTED_END

See Also:
  Constant Field Values

### SYS_NONBEGIN_HAS_ID

    public static final int SYS_NONBEGIN_HAS_ID

See Also:
  Constant Field Values

### SYS_ILLEGAL_COMPARISON

    public static final int SYS_ILLEGAL_COMPARISON

See Also:
  Constant Field Values

### SYS_DOUBLE_OPEN

    public static final int SYS_DOUBLE_OPEN

See Also:
  Constant Field Values

### SYS_FETCH_AFTERERROR

    public static final int SYS_FETCH_AFTERERROR

See Also:
  Constant Field Values

### SYS_FETCH_AFTEREND

    public static final int SYS_FETCH_AFTEREND

See Also:
  Constant Field Values

### SYS_FETCH_NOOPEN

    public static final int SYS_FETCH_NOOPEN

See Also:
  Constant Field Values

### SYS_CLOSE_NOOPEN

    public static final int SYS_CLOSE_NOOPEN

See Also:
  Constant Field Values

### SYS_UNEXPECTED_QNAME

    public static final int SYS_UNEXPECTED_QNAME

See Also:
  Constant Field Values

### SYS_EXPECTED_QNAME

    public static final int SYS_EXPECTED_QNAME

See Also:
  Constant Field Values

### SYS_ILLEGAL_INDEX_USE

    public static final int SYS_ILLEGAL_INDEX_USE

See Also:
  Constant Field Values

### SYS_MISSING_INDEX

    public static final int SYS_MISSING_INDEX

See Also:
  Constant Field Values

### SYS_ID_EXPECTED

    public static final int SYS_ID_EXPECTED

See Also:
  Constant Field Values

### SYS_ITEM_NOT_FOUND

    public static final int SYS_ITEM_NOT_FOUND

See Also:
  Constant Field Values

### SYS_ILLEGAL_EMPTY_SEQ

    public static final int SYS_ILLEGAL_EMPTY_SEQ

See Also:
  Constant Field Values

### SYS_ASSERT

    public static final int SYS_ASSERT

See Also:
  Constant Field Values

### SYS_ILLEGAL_STATE

    public static final int SYS_ILLEGAL_STATE

See Also:
  Constant Field Values

### SYS_ILLEGAL_USE_ID

    public static final int SYS_ILLEGAL_USE_ID

See Also:
  Constant Field Values

### SYS_MISSING_TYPE

    public static final int SYS_MISSING_TYPE

See Also:
  Constant Field Values

### SYS_EXPECTED_ELEMENT

    public static final int SYS_EXPECTED_ELEMENT

See Also:
  Constant Field Values

### SYS_EXPECTED_VALUE

    public static final int SYS_EXPECTED_VALUE

See Also:
  Constant Field Values

### SYS_VALUE_INSTEAD_NODE

    public static final int SYS_VALUE_INSTEAD_NODE

See Also:
  Constant Field Values

### SYS_TYPE_CAST_BOOLEAN

    public static final int SYS_TYPE_CAST_BOOLEAN

See Also:
  Constant Field Values

### SYS_RESET_CONTEXT

    public static final int SYS_RESET_CONTEXT

See Also:
  Constant Field Values

### SYS_NO_ARGS

    public static final int SYS_NO_ARGS

See Also:
  Constant Field Values

### SYS_EXPECTED_STRING

    public static final int SYS_EXPECTED_STRING

See Also:
  Constant Field Values

### SYS_MISSING_END

    public static final int SYS_MISSING_END

See Also:
  Constant Field Values

### SYS_TOKEN_STREAM

    public static final int SYS_TOKEN_STREAM

See Also:
  Constant Field Values

### SYS_EXPECTED_ITEM

    public static final int SYS_EXPECTED_ITEM

See Also:
  Constant Field Values

### SYS_CAUGHT_EX

    public static final int SYS_CAUGHT_EX

See Also:
  Constant Field Values

### SYS_DOCUMENT_URI

    public static final int SYS_DOCUMENT_URI

See Also:
  Constant Field Values

### SYS_REGISTER_MISMATCH

    public static final int SYS_REGISTER_MISMATCH

See Also:
  Constant Field Values

### SYS_SKIP_EMPTY

    public static final int SYS_SKIP_EMPTY

See Also:
  Constant Field Values

### SYS_MISSING_FCT

    public static final int SYS_MISSING_FCT

See Also:
  Constant Field Values

### SYS_BAD_USAGE

    public static final int SYS_BAD_USAGE

See Also:
  Constant Field Values

### SYS_NOT_SERIALIZED

    public static final int SYS_NOT_SERIALIZED

See Also:
  Constant Field Values

### SYS_EXPECTED_TYPE

    public static final int SYS_EXPECTED_TYPE

See Also:
  Constant Field Values

### SYS_UNEXPECTED_TYPE

    public static final int SYS_UNEXPECTED_TYPE

See Also:
  Constant Field Values

### SYS_UNEXPECTED_TOKEN

    public static final int SYS_UNEXPECTED_TOKEN

See Also:
  Constant Field Values

### SYS_BAD_QNAME_INITIALIZER

    public static final int SYS_BAD_QNAME_INITIALIZER

See Also:
  Constant Field Values

### SYS_LONG_OVERFLOW

    public static final int SYS_LONG_OVERFLOW

See Also:
  Constant Field Values

### SYS_OP_REDEFINED

    public static final int SYS_OP_REDEFINED

See Also:
  Constant Field Values

### SYS_OPR_CREATE_FAILED

    public static final int SYS_OPR_CREATE_FAILED

See Also:
  Constant Field Values

### SYS_CLONE_ERROR

    public static final int SYS_CLONE_ERROR

See Also:
  Constant Field Values

### SYS_NO_NODE_TOKEN

    public static final int SYS_NO_NODE_TOKEN

See Also:
  Constant Field Values

### RT_BEV_FAILED

    public static final int RT_BEV_FAILED

See Also:
  Constant Field Values

### RT_NULL_CONVERSION

    public static final int RT_NULL_CONVERSION

See Also:
  Constant Field Values

### RT_VALUE_INSTEAD_NODE

    public static final int RT_VALUE_INSTEAD_NODE

See Also:
  Constant Field Values

### RT_EMPTY_ATTR

    public static final int RT_EMPTY_ATTR

See Also:
  Constant Field Values

### RT_ILLEGAL_INDEX

    public static final int RT_ILLEGAL_INDEX

See Also:
  Constant Field Values

### RT_DUP_ATTR_DEF

    public static final int RT_DUP_ATTR_DEF

See Also:
  Constant Field Values

### RT_MIXED_SEQ

    public static final int RT_MIXED_SEQ

See Also:
  Constant Field Values

### RT_ILLEGAL_CAST

    public static final int RT_ILLEGAL_CAST

See Also:
  Constant Field Values

### RT_ILLEGAL_DATA_ARG

    public static final int RT_ILLEGAL_DATA_ARG

See Also:
  Constant Field Values

### RT_ILLEGAL_SEQ

    public static final int RT_ILLEGAL_SEQ

See Also:
  Constant Field Values

### RT_EXPECTED_TOKEN

    public static final int RT_EXPECTED_TOKEN

See Also:
  Constant Field Values

### RT_UNEXPECTED_END

    public static final int RT_UNEXPECTED_END

See Also:
  Constant Field Values

### RT_EXT_METHOD

    public static final int RT_EXT_METHOD

See Also:
  Constant Field Values

### RT_NORMAL_FORM

    public static final int RT_NORMAL_FORM

See Also:
  Constant Field Values

### RT_UNKNOWN_TYPE

    public static final int RT_UNKNOWN_TYPE

See Also:
  Constant Field Values

### RT_CANNOT_COMPARE

    public static final int RT_CANNOT_COMPARE

See Also:
  Constant Field Values

### RT_NO_ARITH

    public static final int RT_NO_ARITH

See Also:
  Constant Field Values

### RT_NOT_SUBTYPE

    public static final int RT_NOT_SUBTYPE

See Also:
  Constant Field Values

### RT_QUANT_MISMATCH

    public static final int RT_QUANT_MISMATCH

See Also:
  Constant Field Values

### RT_REGEXP

    public static final int RT_REGEXP

See Also:
  Constant Field Values

### RT_REGEXP_FLAGS

    public static final int RT_REGEXP_FLAGS

See Also:
  Constant Field Values

### RT_TYPED_VALUE

    public static final int RT_TYPED_VALUE

See Also:
  Constant Field Values

### RT_ILLEGAL_PATH

    public static final int RT_ILLEGAL_PATH

See Also:
  Constant Field Values

### RT_DIV_ZERO

    public static final int RT_DIV_ZERO

See Also:
  Constant Field Values

### RT_ILLEGAL_URI

    public static final int RT_ILLEGAL_URI

See Also:
  Constant Field Values

### RT_MAX_REC_DEPTH

    public static final int RT_MAX_REC_DEPTH

See Also:
  Constant Field Values

### RT_XQUERY_ERROR

    public static final int RT_XQUERY_ERROR

See Also:
  Constant Field Values

### RT_JAVA_CONVERSION

    public static final int RT_JAVA_CONVERSION

See Also:
  Constant Field Values

### RT_PARENT_ROOT

    public static final int RT_PARENT_ROOT

See Also:
  Constant Field Values

### RT_INVALID_DOC_URI

    public static final int RT_INVALID_DOC_URI

See Also:
  Constant Field Values

### RT_INVALID_ARGUMENT

    public static final int RT_INVALID_ARGUMENT

See Also:
  Constant Field Values

### RT_DOUBLE_OPEN

    public static final int RT_DOUBLE_OPEN

See Also:
  Constant Field Values

### RT_NO_OPEN

    public static final int RT_NO_OPEN

See Also:
  Constant Field Values

### RT_DOUBLE_CLOSE

    public static final int RT_DOUBLE_CLOSE

See Also:
  Constant Field Values

### RT_GETTYPE_ON_OPEN

    public static final int RT_GETTYPE_ON_OPEN

See Also:
  Constant Field Values

### RT_CLOSED_MAT_QUERY

    public static final int RT_CLOSED_MAT_QUERY

See Also:
  Constant Field Values

### RT_LOC_ITERATOR

    public static final int RT_LOC_ITERATOR

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD